Summary:        Theme engines for GTK+ 2.0
Name:           gtk2-engines
Version:        2.20.2
Release:    1%{?dist}
License:        LGPLv2+
Source0:         http://download.gnome.org/sources/gtk-engines/2.20/gtk-engines-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  pkgconfig
BuildRequires: make

URL:            http://download.gnome.org/sources/gtk-engines

Patch0: gtk-engines-2.18.2-change-bullet.patch
Patch1: tooltips.patch
Patch2: auto-mnemonics.patch
Patch3: window-dragging.patch


%description
The gtk2-engines package contains shared objects and configuration
files that implement a number of GTK+ theme engines. Theme engines
provide different looks for GTK+, some of which resemble other
toolkits or operating systems.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
The gtk2-engines-devel package contains files needed to develop
software that uses the theme engines in the gtk2-engines package.

%prep
%setup -q -n gtk-engines-%{version}

%patch0 -p1 -b .bullet
%patch1 -p1 -b .tooltips
%patch2 -p1 -b .mnemonics
%patch3 -p1 -b .window-dragging

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'

rm -rf %{buildroot}%{_datadir}/themes/Redmond
rm -rf %{buildroot}%{_libdir}/gtk-2.0/2.4.0/engines/libredmond95.so

%find_lang gtk-engines

%files -f gtk-engines.lang
%doc README AUTHORS NEWS COPYING
%{_libdir}/gtk-2.0/2.10.0/engines/*.so
%{_datadir}/themes/*
%{_datadir}/gtk-engines

%files devel
%{_libdir}/pkgconfig/gtk-engines-2.pc

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.20.2-1
- initial build
